module Medlink
  class Base

    include Virtus.model

    private

      def path
        raise "path needs to be defined for this model"
      end

      def params
        {}
      end

      def client
        @client ||= Client.new
      end

      def self.client
        @client ||= Client.new
      end

  end
end