module Medlink

  require 'virtus'
  require 'faraday'

  require "medlink/version"

  require "medlink/error"
  require 'medlink/client'
  require 'medlink/configuration'
  require "medlink/base"
  require 'medlink/speciality'
  require 'medlink/city'
  require 'medlink/institution'
  require 'medlink/profession'
  require 'medlink/user'
  require 'medlink/email'
  require 'medlink/activity'

end
