module Medlink
  class Configuration
    attr_accessor :site, :token

    def initialize
      @site = "https://medlink.planning-de-garde.fr/"
    end
  end

  def self.configuration
    @configuration ||= Configuration.new
  end

  def self.configure
    yield(configuration) if block_given?
  end
end